Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class UberspectImpl

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.UberspectImpl

All Implemented Interfaces:
  Uberspect, UberspectLoggable

public class UberspectImpl
extends Object
implements Uberspect, UberspectLoggable

Implementation of Uberspect to provide the default introspective functionality of Velocity

Version:
  $Id: UberspectImpl.java,v 1.6 2004/08/19 17:15:59 dion Exp $

Inner Class Summary
`class` | `UberspectImpl.VelGetterImpl`
`class` | `UberspectImpl.VelMethodImpl` Implementation of VelMethod
`class` | `UberspectImpl.VelSetterImpl`

Constructor Summary
`UberspectImpl()`

Method Summary
`Iterator` | `getIterator(Object obj, Info i)` To support iteratives - #foreach()
`VelMethod` | `getMethod(Object obj, String methodName, Object[] args, Info i)` Method
`VelPropertyGet` | `getPropertyGet(Object obj, String identifier, Info i)` Property getter
`VelPropertySet` | `getPropertySet(Object obj, String identifier, Object arg, Info i)` Property setter
`void` | `init()` init - does nothing - we need to have setRuntimeLogger called before getting our introspector, as the default vel introspector depends upon it.
`void` | `setRuntimeLogger(Log runtimeLogger)` Sets the runtime logger - this must be called before anything else besides init() as to get the logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl

    public UberspectImpl()

Method Detail

### init

    public void init()
              throws Exception

  init - does nothing - we need to have setRuntimeLogger called before getting our introspector, as the default vel introspector depends upon it.
  Specified by:
    `init` in interface `Uberspect`

### setRuntimeLogger

    public void setRuntimeLogger(Log runtimeLogger)

  Sets the runtime logger - this must be called before anything else besides init() as to get the logger. Makes the pull model appealing...
  Specified by:
    `setRuntimeLogger` in interface `UberspectLoggable`

### getIterator

    public Iterator getIterator(Object obj,
                                Info i)
                         throws Exception

  To support iteratives - #foreach()
  Specified by:
    `getIterator` in interface `Uberspect`

### getMethod

    public VelMethod getMethod(Object obj,
                               String methodName,
                               Object[] args,
                               Info i)
                        throws Exception

  Method
  Specified by:
    `getMethod` in interface `Uberspect`

### getPropertyGet

    public VelPropertyGet getPropertyGet(Object obj,
                                         String identifier,
                                         Info i)
                                  throws Exception

  Property getter
  Specified by:
    `getPropertyGet` in interface `Uberspect`

### getPropertySet

    public VelPropertySet getPropertySet(Object obj,
                                         String identifier,
                                         Object arg,
                                         Info i)
                                  throws Exception

  Property setter
  Specified by:
    `getPropertySet` in interface `Uberspect`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.